## ros-humble-popf 0.0.14

=== src/VALfiles/parsing/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

project(ParsePDDL)

find_program(BISON_EXECUTABLE bison)

if(NOT EXISTS ${BISON_EXECUTABLE})
	message("Could not find bison executable.")
endif(NOT EXISTS ${BISON_EXECUTABLE})


FIND_PROGRAM(FLEX_EXECUTABLE flex HINTS /usr/local/opt/flex/bin/)

if(NOT EXISTS ${FLEX_EXECUTABLE})
        message("Could not find flex executable.")
endif(NOT EXISTS ${FLEX_EXECUTABLE})

add_custom_command(
       OUTPUT
        ${CMAKE_CURRENT_BINARY_DIR}/lex.yy.cc
       COMMAND
        ${FLEX_EXECUTABLE}
       ARGS
       -+  --outfile=${CMAKE_CURRENT_BINARY_DIR}/lex.yy.cc ${CMAKE_CURRENT_SOURCE_DIR}/pddl+.lex
       DEPENDS
        ${CMAKE_CURRENT_SOURCE_DIR}/pddl+.lex
)

add_custom_command(
       OUTPUT
        ${CMAKE_CURRENT_BINARY_DIR}/pddl+.cpp
       COMMAND
        ${BISON_EXECUTABLE}
       ARGS
        ${CMAKE_CURRENT_SOURCE_DIR}/pddl+.yacc -o ${CMAKE_CURRENT_BINARY_DIR}/pddl+.cpp
       DEPENDS
        ${CMAKE_CURRENT_SOURCE_DIR}/pddl+.yacc ${CMAKE_CURRENT_BINARY_DIR}/lex.yy.cc
       COMMAND
        ${CMAKE_CURRENT_SOURCE_DIR}/fixyywrap ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories(/usr/local/opt/flex/include ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(libParsePDDL_SRCS
      pddl+.cpp ptree.cpp DebugWriteController.cpp
)

add_library(ParsePDDL STATIC ${libParsePDDL_SRCS})

=== debian/changelog ===
ros-humble-popf (0.0.14-1jammy) jammy; urgency=high

  * Checking null problem components
  * Contributors: Francisco Martín Rico

 -- Francisco Martin <fmrico@gmail.com>  Thu, 26 May 2022 22:00:00 -0000

ros-humble-popf (0.0.13-1jammy) jammy; urgency=high



 -- Francisco Martin <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-popf (0.0.12-1jammy) jammy; urgency=high

  * Foxy initial version
  * Fix conflicts in changelog
  * Functional version
  * 0.0.3
  * Updated changelog
  * Contributors: Francisco Martin Rico

 -- Francisco Martin <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-humble-popf (0.0.11-1jammy) jammy; urgency=high

  * Added dependencies to package.xml

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.10-1jammy) jammy; urgency=high

  * Added dependencies to package.xml

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.5-1jammy) jammy; urgency=high

  * Fixing package dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.3-1jammy) jammy; urgency=high

  * Fix packaging errors

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.2-1jammy) jammy; urgency=high

  * Update to ROS2
  * Use as library

 -- Francisco Martin <fmrico@gmail.com>  Fri, 06 Dec 2019 23:00:00 -0000

ros-humble-popf (0.0.1-1jammy) jammy; urgency=high

  * Update package.xml
  * tidy up
  * Merge branch 'master' of https://github.com/LCAS/popf
  * Initial commit
  * popf 1 included and made work
  * initial commit
  * Contributors: Marc Hanheide

 -- Francisco Martin <fmrico@gmail.com>  Mon, 25 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-humble-popf
Section: misc
Priority: optional
Maintainer: Francisco Martin <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-humble-ament-cmake, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-popf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-humble-rclcpp, ros-humble-ros-workspace
Description: The POPF package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-popf//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
